<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<%@ page contentType="text/html; charset=utf-8"%>
<%@ page language="java" %>
<%@ page import="com.ibm.hats.util.*, com.ibm.hats.hatsle.*,com.ibm.hats.runtime.*,com.ibm.hats.common.connmgr.*, com.ibm.hats.common.*, java.util.*, java.text.DateFormat"%>
<%@ taglib uri="hats.tld" prefix="HATS" %>
<% 
 
HatsMsgs msgs = AdminServlet.getMessages(request);
HatsMsgs configmsgs = ConfigServlet.getMessages(request);
    Locale locale = msgs.getLocale();

	ResourceLoader loader = RuntimeFunctions.getResourceLoaderFromServletContext(getServletContext());
	Application app = loader.getApplication("/HATSLE", false, false);
	
	Properties applicationSettings = app.toProperties();
    //Properties applicationSettings = ConfigServlet.getApplicationSettingsFromSession(session);
 	
    Hashtable classSettings = (Hashtable)applicationSettings.get(Application.CLASS_SETTINGS_TAG);
 
    Properties connectionProperties= (Properties) classSettings.get(HATSConnectionsTag.CLASS_NAME);
    if(connectionProperties !=null){
        connectionProperties = (Properties) connectionProperties.clone();
    }
     
    Properties overrideProperties= (Properties) classSettings.get(ConnectionsListOverrides.CLASS_NAME);
    if(overrideProperties !=null){
        overrideProperties = (Properties) overrideProperties.clone();
    }
 
    String ordering = connectionProperties.containsKey("ordering")?connectionProperties.getProperty("ordering"):"";
    ArrayList order=HATSConnectionsTag.createOrderedList(ordering);
   
    AdminBean bean = (AdminBean)session.getAttribute(AdminServlet.BEAN_ID);

%>
<html>
<HEAD><TITLE><%=msgs.get("IDS_RETURN_PAGE_ADMIN")%></TITLE>
<META name="GENERATOR" content="IBM WebSphere Studio">
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<link rel="stylesheet" href="<%=request.getContextPath()%>/main.css" type="text/css" />
<style>  
a:link, a:visited {
	color: blue;
}
.statusText {
	color: #888888;
	font-size: 75%
}
	a.helpLink:link, a.helpLink:visited{
		color: #9933CC;
		font-weight: bold;
	}
	a.helpLink:hover {
		color: #9933CC;
		font-weight: bold;
		text-decoration: underline;
	}	
</style>

<script>
  	<HATS:JavaScript type="help" />
</script>

</HEAD>

<body bgcolor="white">
<table width="500" cellspacing="0" cellpadding="4" bgcolor="white">
  <tr>
    <td width=100%>
<div class="messageTitle"><img src="<%=request.getContextPath()%>/admin/images/about.gif" alt=""> <%=msgs.get("HOME_TITLE")%></div><p>
    </td>
    <td align="right" valign="middle" nowrap>
      <HATS:HelpLink topicID="admover" />
    </td>
  </tr>
</table>

<table width=500 bgcolor="#888888" cellspacing=1 cellpadding=4>
<tr>
<td bgcolor="#ddddff" align="center">
<% 
if (new Boolean((String) applicationSettings.get(Application.ACTIVE_ATTR)).booleanValue()) { 
%>
<%=msgs.get("IDS_ACTIVEAPP")%> <a href="<%=response.encodeURL(request.getContextPath() + "/admin") + "?" + RuntimeConstants.PARAM_FUNCTION + "=" + AdminServlet.FUNCTION_OVERVIEW + "&" + RuntimeConstants.PARAM_OPERATION + "=" + AdminServlet.OPERATION_DEACTIVATE%>" onclick="return confirm('<%=msgs.get("IDS_DEACTIVATE_CONFIRM")%>');"><%=msgs.get("IDS_DEACTIVATE")%></a>
<%
} else { 
%>
<%=msgs.get("IDS_INACTIVEAPP")%> <a href="<%=response.encodeURL(request.getContextPath() + "/admin") + "?" + RuntimeConstants.PARAM_FUNCTION + "=" + AdminServlet.FUNCTION_OVERVIEW + "&" + RuntimeConstants.PARAM_OPERATION + "=" + AdminServlet.OPERATION_ACTIVATE%>"><%=msgs.get("IDS_ACTIVATE")%></a> 
<%
}
%>
</td>
</tr>
</table>
<p>
<table border=0 width=500 cellspacing=1 cellpadding=4 bgcolor="#888888">
<tr>
<td class="fieldHeader" width="50%"><%=msgs.get("IDS_APP_STARTED")%></td>

<td class="field" width="50%">
<%=DateFormat.getDateTimeInstance(DateFormat.MEDIUM, DateFormat.MEDIUM, locale).format(bean.getTimeStarted())%>
</td>

<tr>
<td class="fieldHeader"><%=msgs.get("IDS_LICENSES_ACTIVE")%></td><td class="field"><a href="<%=response.encodeURL(request.getContextPath() + "/admin") + "?" + RuntimeConstants.PARAM_FUNCTION + "=" + AdminServlet.FUNCTION_MANAGE_SESSIONS%>"><%=bean.getNumSessions()%></a></td>
</tr>
<tr>
<td class="fieldHeader"><%=msgs.get("IDS_LICENSES_MAX_HOUR")%></td><td class="field"><%=bean.getHourConnections()%></td>
</tr>
<tr>
<td class="fieldHeader"><%=msgs.get("IDS_LICENSES_MAX_LIFE")%></td><td class="field"><%=bean.getPeakConnections()%></td>

</tr>
</table>
<p>
 
<table border=0 width=500 cellspacing=1 cellpadding=4 bgcolor="#888888">

  <tr class="subHeader">
	<%
		String actionString = "navigateToStep('" + ConfigServlet.STEP_MULTIPLE_CONNECTIONS + "')";
	%>	
    <td><%=configmsgs.get("CONNECTION_SETTINGS_SUMMARY_TITLE") %></td>
  </tr>
  <tr>
    <td class="field" width=100%>    
    
            <TABLE width=100% cellpadding=4 cellspacing=0 border=0>
            	<TBODY>
            		<TR>
            			<TD class="fieldHeader" style="border-width: 1px;border-style: solid;" ><%= configmsgs.get("CONNECTION_NAME_FIELD") %></TD>
            			<TD class="fieldHeader" style="border-width: 1px;border-style: solid;"><%= configmsgs.get("HOST_NAME_FIELD") %></TD>
                   		<TD class="fieldHeader" style="border-width: 1px;border-style: solid;"><%= configmsgs.get("PORT_FIELD") %></TD>
            			<TD class="fieldHeader" style="border-width: 1px;border-style: solid;"><%= configmsgs.get("CODE_PAGE_FIELD") %></TD>
                        <TD class="fieldHeader" style="border-width: 1px;border-style: solid;"><%= configmsgs.get("WORKSTATION_ID_FIELD") %></TD>
                        <TD class="fieldHeader" style="border-width: 1px;border-style: solid;"><%= configmsgs.get("SSL_ENABLED_FIELD") %></TD>
            		</TR>
            		<TR>
            		</TR>
            <%
            try{ 
                for(int i=0;i<order.size();i++){
                    String connectionName=(String) order.get(i);
                    String overrides = overrideProperties.getProperty(connectionName);
                    if(overrides==null){overrides="";}
                    Properties storage = new Properties();
                    ConnectionsListOverrides.readPropertiesFromString(overrides, storage);
                    String description = storage.containsKey(HodPoolSpec.DESCRIPTION_ATTR)?storage.getProperty(HodPoolSpec.DESCRIPTION_ATTR):"";
                    String hostName = storage.containsKey(HodPoolSpec.HOST_NAME_ATTR)?storage.getProperty(HodPoolSpec.HOST_NAME_ATTR):app.getDefaultHostConnection().getHostName();
                    String port = storage.containsKey(HodPoolSpec.PORT_ATTR)?storage.getProperty(HodPoolSpec.PORT_ATTR):(""+app.getDefaultHostConnection().getPort());
                    String codepage = storage.containsKey(HodPoolSpec.CODE_PAGE_ATTR)?storage.getProperty(HodPoolSpec.CODE_PAGE_ATTR):app.getDefaultHostConnection().getCodePage();
                    String codepagekey = storage.containsKey(HodPoolSpec.CODE_PAGE_KEY_ATTR)?storage.getProperty(HodPoolSpec.CODE_PAGE_KEY_ATTR):app.getDefaultHostConnection().getCodePageKey();
                    String wsIDSource = storage.containsKey(HodPoolSpec.WORKSTATION_ID_SOURCE_ATTR)?storage.getProperty(HodPoolSpec.WORKSTATION_ID_SOURCE_ATTR):app.getDefaultHostConnection().getWorkstationIDSource();
                    String wsID = storage.containsKey(HodPoolSpec.WORKSTATION_ID_ATTR)?storage.getProperty(HodPoolSpec.WORKSTATION_ID_ATTR):app.getDefaultHostConnection().getWorkstationID();
                    String workstationIDSource = null;
                    if (wsIDSource.equals(HodConnSpec.WORKSTATION_ID_PROMPT)) {
                	    workstationIDSource = configmsgs.get("WS_ID_PROMPT_USER");
                	} else if (wsIDSource.equals(HodConnSpec.WORKSTATION_ID_VALUE)) {
                	    workstationIDSource = configmsgs.get("WS_ID_FROM_VALUE", wsID);
                    } else if (wsIDSource.equals(HodConnSpec.WORKSTATION_ID_SESSION_VARIABLE)) {
                	    workstationIDSource = configmsgs.get("WS_ID_FROM_SESSION_VAR", wsID);
                    } else if (wsIDSource.equals(HodConnSpec.WORKSTATION_ID_AUTOMATIC)) {
                	    workstationIDSource = configmsgs.get("WS_ID_SERVER_ASSIGNED");
                	} else {
                	    workstationIDSource = configmsgs.get("WS_ID_SERVER_ASSIGNED");
                	}

                    String codepagestring =CommonFunctions.getCodePageDescriptionFromCodeAndKey(codepage, codepagekey, locale) ;
                
                    String sslstring = storage.containsKey("SSL")?storage.getProperty("SSL"):(""+app.getDefaultHostConnection().getEnableSSL());
                
                    boolean sslEnabled = new Boolean(sslstring).booleanValue();
                
                    String enabledString = configmsgs.get("YES");
                	String disabledString = configmsgs.get("NO");
                
                    String ssl = (sslEnabled ? enabledString : disabledString);
            %>	
            		<TR >
            			<TD class="field">&nbsp;<%=connectionName%></TD>
            			<TD class="field">&nbsp;<%=hostName%></TD>
                        <TD class="field">&nbsp;<%=port%></TD>
                        <TD class="field">&nbsp;<%=codepagestring%></TD>
                        <TD class="field">&nbsp;<%=workstationIDSource%></TD>
                        <TD class="field">&nbsp;<%=ssl%></TD>
            		</TR>
           <%
                }
            }catch(Throwable t){
            	t.printStackTrace();
            }
            %>         
                       	
            	</TBODY>
            </TABLE>    
    
    </td>

</table>
<p>
<%msgs = AdminServlet.getMessages(request);%>
<div class="statusText"><img src="<%= request.getContextPath() %>/admin/images/status.gif" alt=""> <%= msgs.get("PRODUCT_FULL_NAME", "5.0.0", BuildID.VERSION+" "+BuildID.RUNTIME_BUILD_NUMBER) %>.
</div>
</body>
</html>




