<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%@ page contentType="text/html; charset=utf-8"%>
<%@ page language="java" %>
<%@ page import="com.ibm.hats.common.*,com.ibm.hats.hatsle.*,com.ibm.hats.common.connmgr.*, com.ibm.hats.runtime.*, java.util.*, com.ibm.eNetwork.ECL.ECLSession, com.ibm.hats.util.*" %>
<%@ taglib uri="hats.tld" prefix="HATS" %>
<% 
	HatsMsgs msgs = ConfigServlet.getMessages(request);
	Locale userLocale = msgs.getLocale();
	HatsMsgs studioMsgs=new HatsMsgs("studio", msgs.getLocale());
	 
    Properties applicationSettings = ConfigServlet.getApplicationSettingsFromSession(session);
    Hashtable classSettings = (Hashtable)applicationSettings.get(Application.CLASS_SETTINGS_TAG);
    Properties classProperties= (Properties) classSettings.get(HATSConnectionsTag.CLASS_NAME);
    if(classProperties !=null){
            classProperties = (Properties) classProperties.clone();
    }

    Properties connProperties= (Properties) classSettings.get(ConnectionsListOverrides.CLASS_NAME);
    if(connProperties !=null){
            connProperties = (Properties) connProperties.clone();
    }else{
        connProperties = new Properties();
    }
	String selConn=request.getParameter("selectedConnection")!=null?request.getParameter("selectedConnection"):"";
	String val=request.getParameter("whattodo")!=null?request.getParameter("whattodo"):"";
 
    Properties connection = null;

    Properties standardConn = null;
    Hashtable connInfo= ((Hashtable)(applicationSettings.get(Application.CONNECTIONS_TAG)));
    if ( connInfo!=null )
    {
        String defaultConnName = (String) applicationSettings.get(Application.DEFAULT_ATTR);
        standardConn = connInfo.containsKey(defaultConnName) ? 
                       (Properties) connInfo.get(defaultConnName) : new Properties();
    } else
    {
        standardConn = new Properties();
    }
    connection = (Properties) standardConn.clone();
    connection.setProperty(HodPoolSpec.NAME_ATTR,"");

    if (ConfigServlet.doValidationErrorsExist(request)){
        connection = (Properties) request.getAttribute(ConfigServlet.PARAM_BAD_CONNECTION_SETTINGS);
        request.removeAttribute(ConfigServlet.PARAM_BAD_CONNECTION_SETTINGS);
        selConn = connection.getProperty(HodPoolSpec.NAME_ATTR);
    }else if(request.getAttribute(ConfigServlet.PARAM_REFRESH_CONNECTION_SETTINGS)!=null){ //Refresh from cert upload
        connection = (Properties) request.getAttribute(ConfigServlet.PARAM_REFRESH_CONNECTION_SETTINGS);
        request.removeAttribute(ConfigServlet.PARAM_REFRESH_CONNECTION_SETTINGS);
    }else if((!selConn.equals("")) && (!"Add".equalsIgnoreCase(val))){  //Edit
        String overrides = connProperties.getProperty(selConn);
        if(overrides==null){
            overrides="";
        }
        ConnectionsListOverrides.readPropertiesFromString(overrides, connection);
	}else if("Add".equalsIgnoreCase(val)){    //Add
        selConn = "";   
    }

%>

<html>
<head>
  <title><%= msgs.get("WIZARD_TITLE") + " : " + msgs.get("CONNECTION_SETTINGS_TITLE") %></title>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
  <META name="GENERATOR" content="IBM WebSphere Studio">
  <link rel="stylesheet" href="<%= request.getContextPath() %>/main.css" type="text/css" />


<script language="javascript1.2">
  function navigateToStep(step) {
     document.forms[0].<%= ConfigServlet.PARAM_NEXT_STEP %>.value = step;
     document.forms[0].<%= ConfigServlet.PARAM_UPDATE %>.value = "true";     
     document.forms[0].submit();
  }  
  
  function cancelWizard() {
	 if (confirm("<%= msgs.get("CANCEL_MESSAGE") %>")) {
		 	if (top.location != document.location) {
			 	document.forms[0].<%= ConfigServlet.PARAM_FUNCTION %>.value = "<%= ConfigServlet.FUNCTION_ADMIN %>";
			} else {
			 document.forms[0].<%= ConfigServlet.PARAM_FUNCTION %>.value = ""; 
		    }
		 document.forms[0].<%= ConfigServlet.PARAM_CANCEL %>.value = "true";
	     document.forms[0].<%= ConfigServlet.PARAM_UPDATE %>.value = "false";
	     document.forms[0].submit(); 
	 }  
  }
  function cancelStep() {
  	// if ( confirm("<%= msgs.get("CANCEL_MESSAGE") %>")) {
	     document.forms[0].<%= ConfigServlet.PARAM_CANCEL %>.value = "true";
	     document.forms[0].<%= ConfigServlet.PARAM_UPDATE %>.value = "false";
	     document.forms[0].submit();   
	// }  
  }  
  	function refreshFiles() {
  	    document.forms[0].<%= ConfigServlet.PARAM_NEXT_STEP %>.value = <%= ConfigServlet.STEP_CONNECTION_SETTINGS %>;
		document.forms[0].<%= ConfigServlet.PARAM_UPDATE %>.value = "true";     
     	document.forms[0].submit();
  	}
  
  	function uploadCertificate() {
    	var uploadWindow = open("<%= response.encodeURL(request.getContextPath() + UploadServlet.PAGE_UPLOAD) + "?" + UploadServlet.PARAM_DIRECTORY + "=" + HATSTemplateSettingTag.CERTIFICATE_PATH + "&" + UploadServlet.PARAM_PROPERTY_NAME + "=" + HodPoolSpec.CERTIFICATE_FILE_ATTR %>", "uploadWindow", "scrollbars=yes,locationbar=no,menubar=no,statusbar=yes,width=540,height=250,resizeable=yes");		   		
      	uploadWindow.focus();
  	}
  	
  	function checkForBIDI() {
  		var codePage = document.forms[0].<%= HodPoolSpec.CODE_PAGE_ATTR %>.value;
  		if (codePage.indexOf("<%=ECLSession.SESSION_CODE_PAGE_ISRAEL_OLD%>") != -1 ||
                        codePage.indexOf("<%=ECLSession.SESSION_CODE_PAGE_ISRAEL_NEW%>") != -1 ||
                                codePage.indexOf("<%=ECLSession.SESSION_CODE_PAGE_ARABIC%>") != -1) {
			document.forms[0].<%=ApplicationKeypadTag.PROPERTY_SHOW_REVERSE%>.disabled = false;
                  if(codePage.indexOf("<%=ECLSession.SESSION_CODE_PAGE_ARABIC%>") != -1)
                      document.forms[0].<%=HodPoolSpec.DISABLE_FLD_SHP%>.disabled = false;
                  else
                      document.forms[0].<%=HodPoolSpec.DISABLE_FLD_SHP%>.disabled = true;
  		} else {
   			document.forms[0].<%=ApplicationKeypadTag.PROPERTY_SHOW_REVERSE%>.disabled = true;
   			document.forms[0].<%=HodPoolSpec.DISABLE_FLD_SHP%>.disabled = true;
  		}
  	}
  		
  	<HATS:JavaScript type="help" />
</script>

</HEAD>
<body onload="checkForBIDI();">
<form method="post" action="<%= response.encodeURL(request.getContextPath() + "/config") %>">
<input type="hidden" name="<%= ConfigServlet.PARAM_CURRENT_STEP %>" value="<%= ConfigServlet.STEP_CONNECTION_SETTINGS %>">
<input type="hidden" name="<%= ConfigServlet.PARAM_NEXT_STEP %>" value="<%= ConfigServlet.STEP_MULTIPLE_CONNECTIONS %>">
<input type="hidden" name="<%= RuntimeConstants.PARAM_FUNCTION %>" value="">
<input type="hidden" name="<%= ConfigServlet.PARAM_CANCEL %>" value="false">
<input type="hidden" name="<%= ConfigServlet.PARAM_UPDATE %>" value="true">
<input type="hidden" name="selectedConnection" value="<%=selConn%>">
<input type="hidden" name="whattodo" value="<%=val%>">

<table width=500 border=0 cellspacing=1 cellpadding=4 bgcolor="#888888">
   <tr>
    <td class="header">
    <table border=0 cellpadding=0 cellspacing=0 width=100%>
      <tr>
        <td class="header"><%= msgs.get("CONNECTION_SETTINGS_TITLE") %></td>
          <td align="right" class="header"><HATS:HelpLink topicID="cfgconn" />
      </tr>
    </table>
    </td>
  </tr>
 <tr>
        <td class="instructions"><%= msgs.get("CONNECTION_SETTINGS_INSTRUCTIONS") %> <%= msgs.get("NEXT_FINISH_INSTRUCTIONS") %> <%= msgs.get("MORE_INFO_CLICK_HELP") %></td>
  </tr>
</table>
<%	if (ConfigServlet.doValidationErrorsExist(request)) {
		out.println("<p>");
		out.println(ConfigServlet.generateValidationErrorsTable(request, "validationErrors", "validationError"));
	}
%>
<p>
<table width=500 border=0 cellspacing=1 cellpadding=4 bgcolor="#888888">
  <tr>
    <td class="fieldHeader"><label for=_ accesskey=N><%= msgs.get("CONNECTION_NAME_FIELD") %></label></td>
    <td class="field">
      <%= ConfigServlet.generateErrorIndication(request, HodPoolSpec.NAME_ATTR) %> 
      <%String def = classProperties.containsKey("default")?classProperties.getProperty("default"):""; 
        String enabled = "";//any name can be changed->//selConn.equalsIgnoreCase(def)? "readonly" : ""; 
        String connName = connection.getProperty(HodPoolSpec.NAME_ATTR);
        String origName=connection.containsKey("OriginalName")?connection.getProperty("OriginalName"):connName;
        //if( "Add".equalsIgnoreCase(val) ){  //removed because refresh code replaces this
        //    connName = request.getParameter(HodPoolSpec.NAME_ATTR)!=null?request.getParameter(HodPoolSpec.NAME_ATTR):connName;
        //}
      %>
       <input name="<%=HodPoolSpec.NAME_ATTR%>" ID=_ type="text" size=25 value="<%= connName %>" <%=enabled%>>
       <input name="OriginalName" ID=_ type="HIDDEN" value="<%= origName %>"> <SPAN>&nbsp;
       <%= origName.equals("")?"":msgs.get("ORIGINAL_NAME_INDICATOR") %>&nbsp;<%= origName %></SPAN> 
               
    </td>
  </tr>  
  <tr>
    <td class="fieldHeader"><label for=M accesskey=D><%= msgs.get("CONNECTION_DESCRIPTION_FIELD") %></label></td>
    <td class="field">
      <%= ConfigServlet.generateErrorIndication(request, HodPoolSpec.DESCRIPTION_ATTR) %> 
      <textarea name="<%=HodPoolSpec.DESCRIPTION_ATTR%>" ID=M  rows=4 cols=50><%= connection.getProperty(HodPoolSpec.DESCRIPTION_ATTR)!=null?connection.getProperty(HodPoolSpec.DESCRIPTION_ATTR):""%></textarea>     
    </td>
  </tr>  
  <tr>
    <td class="fieldHeader"><label for=A accesskey=H><%= msgs.get("HOST_NAME_FIELD") %></label></td>
    <td class="field">
      <%= ConfigServlet.generateErrorIndication(request, HodPoolSpec.HOST_NAME_ATTR) %> 
      <input name="<%= HodPoolSpec.HOST_NAME_ATTR %>" ID=A type="text" size=25 value="<%= connection.getProperty(HodPoolSpec.HOST_NAME_ATTR) %>"> 
    </td>
  </tr>
  <tr>
    <td class="fieldHeader"><label for=B accesskey=P><%= msgs.get("PORT_FIELD") %></label></td>
    <td class="field">
    <%= ConfigServlet.generateErrorIndication(request, HodPoolSpec.PORT_ATTR) %> <input name="<%= HodPoolSpec.PORT_ATTR %>" ID=B type="text" size="3" value="<%= connection.containsKey(HodPoolSpec.PORT_ATTR)?connection.getProperty(HodPoolSpec.PORT_ATTR):"23" %>">
    </td>
  </tr>
  <tr>
<%
    ResourceBundle bundle = ResourceBundle.getBundle(CommonFunctions.CODE_PAGE_RESOURCE_BUNDLE, userLocale);

    String codePage = connection.containsKey(HodPoolSpec.CODE_PAGE_ATTR)?connection.getProperty(HodPoolSpec.CODE_PAGE_ATTR):"037";
    String codePageKey = connection.containsKey(HodPoolSpec.CODE_PAGE_ATTR)?connection.getProperty(HodPoolSpec.CODE_PAGE_KEY_ATTR):"KEY_US";
     //Hashtable classSettings = (Hashtable)applicationSettings.get(Application.CLASS_SETTINGS_TAG);
     //Properties p = (Properties)classSettings.get(URLOverride.CLASS_SETTINGS_NAME);
    boolean enableScrRev = false;
    Properties tempESRProp= (Properties) classSettings.get(ApplicationKeypadTag.CLASS_NAME);
    if(tempESRProp!=null){
        String tempbool= tempESRProp.containsKey(ApplicationKeypadTag.PROPERTY_SHOW_REVERSE)?tempESRProp.getProperty(ApplicationKeypadTag.PROPERTY_SHOW_REVERSE):"false";
        enableScrRev=(new Boolean(tempbool)).booleanValue();
    }

    String str_disableFldShp =  connection.containsKey(HodPoolSpec.DISABLE_FLD_SHP)?connection.getProperty(HodPoolSpec.DISABLE_FLD_SHP):"false";
    boolean disableFldShp = new Boolean(str_disableFldShp).booleanValue();

    String str_enableUnicode = connection.containsKey("unicodeDataStreamEnabled")?connection.getProperty("unicodeDataStreamEnabled"):"false";
    boolean enableUnicode = new Boolean(str_enableUnicode).booleanValue();
  %>

<td class="fieldHeader" valign="top"><label for=C accesskey=C><%= msgs.get("CODE_PAGE_FIELD") %></label></td>
    <td class="field">
      <select name="<%= HodPoolSpec.CODE_PAGE_ATTR %>" ID=C onChange="checkForBIDI();">
        <%
			Vector v = CommonFunctions.getSupportedCodePages(ECLSession.SESSION_TYPE_5250_STR);
			if(v!=null){
    			for (int i = 0; i < v.size(); i++) {
    				CodePageInfo cpi = (CodePageInfo)v.get(i);
    				if(cpi==null) continue;
    				String desc = cpi.getDescriptionKey();
    				try {
    					desc = bundle.getString(desc);
    				} catch (Exception e) { }
    				
    				boolean selected = codePage.equals(cpi.getCodePage()) && codePageKey.equals(cpi.getCodePageKey());
    				
    				out.println("<option value=\"" + cpi.getCodePage() + "," + cpi.getCodePageKey() + "\"" + (selected ? " selected" : "") + ">" + cpi.getCodePage() + " " + desc + "</option>");
    			}
            }
        %>
      </select><p>
 	  <table width=100% border=0 cellpadding=0 cellspacing=0>
        <tr>
            <td><input type="checkbox" name="<%=ApplicationKeypadTag.PROPERTY_SHOW_REVERSE%>" ID="K" <%=enableScrRev ? "checked" : ""%>><label for="K" accesskey="R"><%=msgs.get("ENABLE_SCREEN_REVERSE")%></label>
 	    </tr>
        <tr>    
	    <td><input type="checkbox" name="<%=HodPoolSpec.DISABLE_FLD_SHP%>" ID="P" <%=disableFldShp ? "checked" : ""%>><label for="P" accesskey="P"><%=studioMsgs.get("CONN_SETTINGS_DISABLE_FLIELD_SHAPE")%></label>
	</tr>  	    
        <tr>    
            <td><input type="checkbox" name="enableUnicodeDataStream" ID="U" <%=enableUnicode ? "checked" : ""%>><label for="U" accesskey="U"><%=msgs.get("ENABLE_UNICODE_DATA")%></label>
        </tr>
     </table>
    </td>
  </tr>
  <tr>
    <td class="fieldHeader" valign=top><%=msgs.get("WORKSTATION_ID_FIELD")%></td>
    <td class="field">
	  <table width=100% border=0 cellpadding=0 cellspacing=0>
	  <%
	  		String workstationIDSource = connection.getProperty(HodPoolSpec.WORKSTATION_ID_SOURCE_ATTR);
	  		String workstationID = connection.getProperty(HodPoolSpec.WORKSTATION_ID_ATTR);
	  		
	  		if (workstationID == null) {
	  			workstationID = "";
	  		}
	  		
	  		if (workstationIDSource == null || workstationIDSource.equals("")) {
	  			workstationIDSource = HodConnSpec.WORKSTATION_ID_AUTOMATIC;
	  		}
	  		
	  		boolean wsIDSourceValue = HodConnSpec.WORKSTATION_ID_VALUE.equalsIgnoreCase(workstationIDSource);
	  		boolean wsIDSourceSessionVariable = HodConnSpec.WORKSTATION_ID_SESSION_VARIABLE.equalsIgnoreCase(workstationIDSource);
	  		boolean wsIDSourcePrompt = HodConnSpec.WORKSTATION_ID_PROMPT.equalsIgnoreCase(workstationIDSource);
	  		boolean wsIDSourceAutomatic = workstationIDSource.equals(HodConnSpec.WORKSTATION_ID_AUTOMATIC);
	  		if (!wsIDSourceValue && !wsIDSourceSessionVariable && !wsIDSourcePrompt) {
	  			wsIDSourceAutomatic = true;
	  		} 
	  		
	  		boolean allowWSIDOverride = true;
			try {
				allowWSIDOverride = new Boolean(workstationIDSource).booleanValue();
			} catch (Exception e) { }
	  %>	  
      <tr>
	    <td class="field" colspan=2>
         <input type="radio" name="<%= HodConnSpec.WORKSTATION_ID_SOURCE_ATTR %>" ID=G value="<%= HodConnSpec.WORKSTATION_ID_AUTOMATIC %>" <%= (wsIDSourceAutomatic ? "checked" : "") %>><label for=G accesskey="G"><%= msgs.get("WS_ID_SERVER_ASSIGNED") %></label>
        </td>
      </tr>
	  <tr>
	    <td class="field">
	     <input type="radio" name="<%= HodConnSpec.WORKSTATION_ID_SOURCE_ATTR %>" ID=D value="<%= HodConnSpec.WORKSTATION_ID_VALUE %>" <%= (wsIDSourceValue ? "checked" : "") %>><label for=D accesskey="V"><%= msgs.get("WS_ID_SET_TO_VALUE") %></label>
        </td>
        <td class="field">
         <%= ConfigServlet.generateErrorIndication(request, HodConnSpec.WORKSTATION_ID_VALUE) %>
         <div style="display:none"><label for="settovalue"><%= msgs.get("WS_ID_SET_TO_VALUE") %></label></div>
          <input id="settovalue" type="text" size=12 name="<%= HodConnSpec.WORKSTATION_ID_VALUE %>" value="<%= (wsIDSourceValue ? workstationID : "") %>">
        </td>
      </tr>
	  <tr>
	    <td class="field">
         <input type="radio" name="<%= HodConnSpec.WORKSTATION_ID_SOURCE_ATTR %>" value="<%= HodConnSpec.WORKSTATION_ID_SESSION_VARIABLE %>" ID=E <%= (wsIDSourceSessionVariable ? "checked" : "") %>><label for=E accesskey="S"><%= msgs.get("WS_ID_SET_FROM_SESSION") %></label>
        </td>
        <td class="field">
         <%= ConfigServlet.generateErrorIndication(request, HodConnSpec.WORKSTATION_ID_ATTR) %>
        <div style="display:none"><label for="setfromvar"><%= msgs.get("WS_ID_SET_FROM_SESSION") %></label></div>
          <input id="setfromvar" type="text" size=12 name="<%= HodConnSpec.WORKSTATION_ID_SESSION_VARIABLE %>" value="<%= (wsIDSourceSessionVariable ? workstationID : "") %>">
        </td>
      </tr>
	  <tr>
				<TD class="field" colspan="2"><INPUT type="radio"
					name="<%= HodConnSpec.WORKSTATION_ID_SOURCE_ATTR %>" id="F"
					value="<%= HodConnSpec.WORKSTATION_ID_PROMPT %>"
					<%= (wsIDSourcePrompt ? "checked" : "") %>><LABEL for="F"
					accesskey="U"><%= msgs.get("WS_ID_PROMPT_USER") %></LABEL></TD>
			</tr>
      <tr>
        <td colspan=2>&nbsp;</td>
      </tr>
     
      </table>      
    </td>
  </tr>
  <tr>
    <td class="fieldHeader" valign="top"><%= msgs.get("SECURITY_FIELD") %></td>
    <td class="field">
      <table width=100% cellpadding=0 cellspacing=0 border=0>
        <Tr>
          <td>
          <%
             boolean enableSSL = new Boolean(connection.getProperty("SSL")).booleanValue();
	       %>
	                    
            <input name="<%= "SSL" %>" ID=I type="checkbox" <%= (enableSSL ? "checked" : "") %>>
          </td>
          <td colspan=2 valign=middle width=100%><label for=I accesskey="E"> <%=msgs.get("ENABLE_SSL_OPTION")%></label></td>
        </tr>
        <tr>
          <td> </td>
           <td><label for="J" accesskey="F"> <%= msgs.get("CERTIFICATE_FILE_FIELD") %></label></td>
        <td align=center>
          <select style="width:150px" name="<%=HodPoolSpec.CERTIFICATE_FILE_ATTR%>" ID="J">                      
        <%Vector values = ConfigServlet.getCommonCertificates(config.getServletContext());
        Iterator lister = values.iterator();
      	%><option value=""> </option><%
		String current;
		if ((current = (String)session.getAttribute(UploadServlet.ATTR_FILE_NAME)) == null) {
			current = connection.getProperty(HodPoolSpec.CERTIFICATE_FILE_ATTR)!=null?connection.getProperty(HodPoolSpec.CERTIFICATE_FILE_ATTR):"";
		} else {
			session.removeAttribute(UploadServlet.ATTR_FILE_NAME);
		}
		while (lister.hasNext()) {
        	String next = (String)lister.next();
            %><option value="<%=next%>" <%=(next.equals(current) ? "selected" : "")%>><%=next%></option><%
        }%>                
          </select>
		</td>
		<td><input type="button" class="footerButton" name="uploadButton" value="<%= msgs.get("UPLOAD_BUTTON") %>" onclick="uploadCertificate()"></td>
        </tr>
      </table>
    </td>
  </tr>
</table>
<p>

<table border=0 cellspacing=1 cellpadding=4 width=500 bgcolor="BLACK">
  <tr class="footer">
    <td colspan=2>
      <input class="footerButton" type="button" value="<%= msgs.get("OK_BUTTON") %>" onClick="navigateToStep('<%= ConfigServlet.STEP_MULTIPLE_CONNECTIONS %>')">
      <input class="footerButton" type="button" value="<%= msgs.get("CANCEL_BUTTON") %>" onclick="<%= connProperties.isEmpty()?"cancelWizard();":"cancelStep();" %>">
    </td>
  </tr>
</table>

</form> 

</body>
</html>




