<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%@ page contentType="text/html; charset=utf-8"%>
<%@ page language="java" %>
<%@ page import="com.ibm.hats.common.*, com.ibm.hats.hatsle.*,com.ibm.hats.runtime.*, java.util.*, java.io.*, com.ibm.hats.util.*" %>
<%@ taglib uri="hats.tld" prefix="HATS" %>
<%  
	Properties applicationSettings = ConfigServlet.getApplicationSettingsFromSession(session);
	Hashtable classSettings = null;
	if(applicationSettings!=null){
		classSettings =(Hashtable)applicationSettings.get(Application.CLASS_SETTINGS_TAG);
	}
    HatsMsgs msgs = ConfigServlet.getMessages(request);
%>

<html>
	<head>
		<title><%= msgs.get("WIZARD_TITLE") + " : " + msgs.get("SELECT_TEMPLATE_TITLE") %></title>
		<meta name="GENERATOR" content="IBM WebSphere Studio">
		    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
	<link rel="stylesheet" href="<%= request.getContextPath() %>/main.css" type="text/css" />
	</head>

	<body bgcolor="white" onload="init()">

	<script language="javascript1.2">
		<HATS:JavaScript type="fieldChanged" />
		function navigateToStep(step) {
			document.forms[0].<%= ConfigServlet.PARAM_FUNCTION %>.value = "";
			document.forms[0].<%= ConfigServlet.PARAM_NEXT_STEP %>.value = step;
            document.forms[0].<%= ConfigServlet.PARAM_UPDATE %>.value = "true";     
            document.forms[0].<%= ConfigServlet.PARAM_CANCEL %>.value = "false";
			document.forms[0].target = "_self";
			document.forms[0].submit();
		}  
	
		function init() {
			if (document.forms[0].<%= Application.TEMPLATE_ATTR %>.selectedIndex != -1) {
				updatePreview(document.forms[0].<%= Application.TEMPLATE_ATTR %>.options[document.forms[0].<%= Application.TEMPLATE_ATTR %>.selectedIndex].value);
			}
		}
	
		function updatePreview(templateName) {
			document.images["imagePreview"].src = "<%= request.getContextPath() %>/config/images/templatePreviews/" + templateName + ".jpg";
			document.images["imagePreview"].alt = templateName;
		}
		
		function showTemplatePreview() {
			previewWindow = open("", "previewWindow", "scrollbars=yes,locationbar=no,menubar=no,statusbar=yes,width=800,height=600,resizable=yes");
		    document.forms[0].<%= ConfigServlet.PARAM_FUNCTION %>.value = "<%=ConfigServlet.FUNCTION_TEMPLATE_PREVIEW%>";
			document.forms[0].target = "previewWindow";
			document.forms[0].submit();
			previewWindow.focus();
		}
		
	  function cancelWizard() {
		 if (confirm("<%= msgs.get("CANCEL_MESSAGE") %>")) {
		 	if (top.location != document.location) {
			 	document.forms[0].<%= ConfigServlet.PARAM_FUNCTION %>.value = "<%= ConfigServlet.FUNCTION_ADMIN %>";
			} else {
			 document.forms[0].<%= ConfigServlet.PARAM_FUNCTION %>.value = ""; 
		    }
		     document.forms[0].<%= ConfigServlet.PARAM_CANCEL %>.value = "true";
             document.forms[0].<%= ConfigServlet.PARAM_UPDATE %>.value = "false";     
			 document.forms[0].target = "_self";
			 document.forms[0].submit();   
		 }  
	  }

		<HATS:JavaScript type="help" />
	</script>

	<form method="post" action='<%= response.encodeURL(request.getContextPath() + "/config") %>'> 
	<input type="hidden" name="<%= ConfigServlet.PARAM_CURRENT_STEP %>" value="<%= ConfigServlet.STEP_TEMPLATE %>">
	<input type="hidden" name="<%= ConfigServlet.PARAM_NEXT_STEP %>" value="<%= ConfigServlet.STEP_TRANSFORMATION_SETTINGS %>">
	<input type="hidden" name="<%= ConfigServlet.PARAM_FUNCTION %>" value="">
    <input type="hidden" name="<%= ConfigServlet.PARAM_CANCEL %>" value="false">
    <input type="hidden" name="<%= ConfigServlet.PARAM_UPDATE %>" value="true">
 
	<table width="500" border="0" cellspacing="1" cellpadding="4" bgcolor="#888888">
   <tr>
    <td class="header">
    <table border=0 cellpadding=0 cellspacing=0 width=100%>
      <tr>
        <td class="header"><%= msgs.get("SELECT_TEMPLATE_TITLE") %></td>
        <td align="right" class="header"><HATS:HelpLink topicID="cfgtemp" />
      </tr>
    </table>
    </td>
  </tr>
		<tr class="instructions">
			<td><%= msgs.get("SELECT_TEMPLATE_INSTRUCTIONS") %> <%= msgs.get("NEXT_FINISH_INSTRUCTIONS") %></td>
		</tr>
	</table>
<%
	if (ConfigServlet.doValidationErrorsExist(request)) {
		out.println("<p>");
		out.println(ConfigServlet.generateValidationErrorsTable(request, "validationErrors", "validationError"));
	}
%>
	<p><!--<img src="images/error.gif"> <font color="red">Invalid host name, port, and session type entered.-->
<table width="500" border="0" cellspacing="1" cellpadding="4" bgcolor="#888888">
    <tr>
        <td class="field" valign="top">
        <select size="10" name="<%= Application.TEMPLATE_ATTR %>" onchange="updatePreview(this.options[this.selectedIndex].value)">
        <%
			String defaultTemplate = applicationSettings.getProperty(Application.TEMPLATE_ATTR);
        	Vector v = ConfigServlet.getTemplates(config.getServletContext());
        	if(!DynamicWebPropertiesFactory.isBidi(session)){
        	  for (int i = 0; i < v.size(); i++) {
        	      if(v.get(i).toString().indexOf("BIDITemplate") != -1 ){
                       v.remove(i);        	     
        	      }
        	  }
        	}
        	for (int i = 0; i < v.size(); i++) {
				out.println("<option value=\"" + v.get(i) + "\"" + (v.get(i).equals(defaultTemplate) ? " selected" : "") + ">" + v.get(i) + "</option>");
			}			
		%>
        </select>
        </td>
        <td class="field"><img height="154" width="261" border="1" alt="<%=msgs.get("IMAGE_PREVIEW")%>" name="imagePreview">
        </td>    
    </tr>    

    <tr>
        <td colspan="2" class="field">

		<%= DynamicWebPropertiesFactory.generateHTML(HCustomProperty.new_Boolean(ApplicationKeypadTag.PROPERTY_SHOW, msgs.get("SHOW_APP_KEYPAD"), true, null, null), ApplicationKeypadTag.CLASS_NAME, ((Properties)classSettings.get(ApplicationKeypadTag.CLASS_NAME)).getProperty(ApplicationKeypadTag.PROPERTY_SHOW), msgs.getBundle()) %><br>
		<%= DynamicWebPropertiesFactory.generateHTML(HCustomProperty.new_Boolean(HostKeypadTag.PROPERTY_SHOW, msgs.get("SHOW_HOST_KEYPAD"), true, null, null), HostKeypadTag.CLASS_NAME, ((Properties)classSettings.get(HostKeypadTag.CLASS_NAME)).getProperty(HostKeypadTag.PROPERTY_SHOW), msgs.getBundle()) %><br>
		<%= DynamicWebPropertiesFactory.generateHTML(HCustomProperty.new_Boolean(KeyboardSupport.PROPERTY_ENABLE, msgs.get("KEYBOARD_SUPPORT"), true, null, null), KeyboardSupport.CLASS_NAME, ((Properties)classSettings.get(KeyboardSupport.CLASS_NAME)).getProperty(KeyboardSupport.PROPERTY_ENABLE), msgs.getBundle()) %><br>
		
		</tr>		
</table>
<p>

	<table width="500" border="0" cellspacing="1" cellpadding="4" bgcolor="#888888">

   		<tr class="instructions">
			<td colspan="2"><%= msgs.get("PREVIEW_TEMPLATE_INSTRUCTIONS") %></td>
		</tr>
		<tr>
		  <td colspan=2 bgcolor=white align="right">
     <input type="button" class="footerButton" value="<%= msgs.get("PREVIEW_BUTTON") %>" onClick="showTemplatePreview();">		  
		  </td>
		</tr>		
</table>
<p>
<table border="0" cellspacing="1" cellpadding="4" width="500" bgcolor="BLACK">
    <tr class="footer">
    <td colspan="2">
        <input class="footerButton" type="button" value="<%= msgs.get("BACK_BUTTON") %>" onclick="navigateToStep('<%= ConfigServlet.STEP_MULTIPLE_CONNECTIONS %>')">
        <input class="footerButton" type="button" value="<%= msgs.get("NEXT_BUTTON") %>" onclick="navigateToStep('<%= ConfigServlet.STEP_CONFIGURE_TEMPLATE %>')">
      <input class="footerButton" type="button" value="<%= msgs.get("FINISH_BUTTON") %>" onClick="navigateToStep('<%= ConfigServlet.STEP_COMPLETE %>')">
      <input class="footerButton" type="button" value="<%= msgs.get("CANCEL_BUTTON") %>" onClick="cancelWizard()"></td>
    </td>
    </tr>
</table>
</form>

</body>
</html>
